post
https://api.sandbox.evrotrust.com/vendor/user/certificate/get
/user/certificate/get
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Get user latest active certificate in Evrotrust profile, to be used for hash signing.
Valid values:
| Parameter | Value |
|---|---|
| "user" | Has to be provided one of the user's identifiers:
|
| "type" | "integer" valid values 1 - Qualified еSign (qualified certificate); 2 - Advanced eSign (qualified certificate) |
| "vendorNumber" | "string" |
| "coverage" | For "certificateType"=1 valid values are: 0, 2000, 20000, 100000, 250000. For "certificateType"=2 valid value is 500 The amount is in €. 0 stands for unlimited. |
| "isPidIncluded" | Always set on "false". "true" means that user should issue certificate with personal identification number included in it. Used only in cases where specific compliance requirements are applied. |
Returned response:
{"serialNumber":"string", "type": 0, "certificate":"string", "coverage": 0, "dateValidTo": 0}
"serialNumber" - serial number of user certificate
"type" - same type value, as the one in your init request
"certificate" - the certificate of the user
"coverage" - same coverage value, as the one in your init request
"dateValidTo" - timestamp
